| Home | Libraries | People | FAQ | More

## Function check_failure

boost::contract::check_failure — Call failure handler for implementation checks.

## Synopsis

    // In header: <boost/contract/core/exception.hpp>

    void check_failure();

## Description

This is often called only internally by this library.

Throws: This can throw in case programmers specify a failure handler that throws exceptions on implementation check failures (not the default).

See Also: Throw on Failure, Implementation Checks